当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 19 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-02 18:08 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
出现下列问题
[color=#BFBF00]forverm@forverm-laptop:~$ sudo apt-get install tar
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
建议安装的软件包:
ncompress
下列【新】软件包将被安装:
tar
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 0B/338kB 的软件包。
解压缩后会消耗掉 2298kB 的额外空间。
dpkg-deb (子进程):exec tar 失败: 没有该文件或目录
dpkg-deb: 子进程 tar 返回了错误号 2
dpkg:处理 /var/cache/apt/archives/tar_1.20-1_i386.deb (--unpack)时出错:
子进程 dpkg-deb --control 返回了错误号 2
在处理时有错误发生:
/var/cache/apt/archives/tar_1.20-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
[/color]
请大家帮下忙!!!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-02 18:13 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
好好的 卸载它干嘛 ? 您见过哪个LINUX上面没有 tar? 不用tar 您用linux还能做啥用?

先试试apt-get -f install 吧 看效果
或aptitude install tar


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-02 20:30 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
我是要安装cadence,要把tar的版本降到1.13,所以就删了,你说的办法结果就是出现红字部分。现在还有没有补救的办法?谢谢!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-02 22:39 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
引用:
sudo apt-get install tar

红色的不是这个命令执行后出现的结果么? :em20 :em20


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 3:14 

注册: 2008-04-27 1:10
帖子: 473
地址: http://blogs.gnome.org/happyaron/
送出感谢: 0 次
接收感谢: 2
先手工在别的机器上编译tar或者复制一个/bin/tar到这台机器上,然后用dpkg加--force-all选项安装你本地的tar_xxx.deb
dpkg没有pre-depend到tar/gzip这两个对于用户"必须"的包上,夸张点讲对于dpkg它俩不是必须的,没有它们dpkg只能叫缺失功能(缺失的严重点了...) 至少deb包是用tar打包的,没这东西我不知道它怎么解包。
还有一个问题是tar gzip都没有了,系统好多常用功能就不能用了,要是想让系统能用就永远不应该remove/purge... dpkg是可以降级替换的,为啥要卸载呢?


_________________
I will always return.


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 8:58 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
happyaron 写道:
先手工在别的机器上编译tar或者复制一个/bin/tar到这台机器上,然后用dpkg加--force-all选项安装你本地的tar_xxx.deb
dpkg没有pre-depend到tar/gzip这两个对于用户"必须"的包上,夸张点讲对于dpkg它俩不是必须的,没有它们dpkg只能叫缺失功能(缺失的严重点了...) 至少deb包是用tar打包的,没这东西我不知道它怎么解包。
还有一个问题是tar gzip都没有了,系统好多常用功能就不能用了,要是想让系统能用就永远不应该remove/purge... dpkg是可以降级替换的,为啥要卸载呢?

谢谢你给我解决问题 ,但是我按照你说的操作后出现下列提示:
forverm@forverm-laptop:~$ sudo dpkg --force-all -i tar_1.20-1_i386.deb
dpkg-deb (子进程):exec tar 失败: 没有该文件或目录
dpkg-deb: 子进程 tar 返回了错误号 2
dpkg:处理 tar_1.20-1_i386.deb (--install)时出错:
子进程 dpkg-deb --control 返回了错误号 2
在处理时有错误发生:
tar_1.20-1_i386.deb
麻烦你给看一下,我刚开始想要安装cadence,而他要求安装1.13版本的tar,所以要把ar的版本降低,我当时就把tar1.20的卸载了。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 9:01 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
qkbeyond 写道:
引用:
sudo apt-get install tar

红色的不是这个命令执行后出现的结果么? :em20 :em20

谢谢你给我解决问题,但是我按照你的操作做了,可是出现的下面的结果:
forverm@forverm-laptop:~$ sudo apt-get -f install tar
[sudo] password for forverm:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
建议安装的软件包:
ncompress
下列【新】软件包将被安装:
tar
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 10 个软件未被升级。
需要下载 0B/338kB 的软件包。
解压缩后会消耗掉 2298kB 的额外空间。
dpkg-deb (子进程):exec tar 失败: 没有该文件或目录
dpkg-deb: 子进程 tar 返回了错误号 2
dpkg:处理 /var/cache/apt/archives/tar_1.20-1_i386.deb (--unpack)时出错:
子进程 dpkg-deb --control 返回了错误号 2
在处理时有错误发生:
/var/cache/apt/archives/tar_1.20-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
麻烦你再给想想办法!谢谢!


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 12:06 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
forverm 写道:
qkbeyond 写道:
引用:
sudo apt-get install tar

红色的不是这个命令执行后出现的结果么? :em20 :em20

谢谢你给我解决问题,但是我按照你的操作做了,可是出现的下面的结果:
forverm@forverm-laptop:~$ sudo apt-get -f install tar

我的没带-f 这个参数吧 :em06 :em06
还没安装上么?
试 sudo aptitude install tar 这个有时候很强。。。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 12:21 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
happyaron 写道:
先手工在别的机器上编译tar或者复制一个/bin/tar到这台机器上,然后用dpkg加--force-all选项安装你本地的tar_xxx.deb
dpkg没有pre-depend到tar/gzip这两个对于用户"必须"的包上,夸张点讲对于dpkg它俩不是必须的,没有它们dpkg只能叫缺失功能(缺失的严重点了...) 至少deb包是用tar打包的,没这东西我不知道它怎么解包。
还有一个问题是tar gzip都没有了,系统好多常用功能就不能用了,要是想让系统能用就永远不应该remove/purge... dpkg是可以降级替换的,为啥要卸载呢?

:em11 :em11 :em11
5楼的才是高见。。。。。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 17:58 

注册: 2008-04-27 1:10
帖子: 473
地址: http://blogs.gnome.org/happyaron/
送出感谢: 0 次
接收感谢: 2
forverm 写道:
谢谢你给我解决问题 ,但是我按照你说的操作后出现下列提示:
forverm@forverm-laptop:~$ sudo dpkg --force-all -i tar_1.20-1_i386.deb
dpkg-deb (子进程):exec tar 失败: 没有该文件或目录
dpkg-deb: 子进程 tar 返回了错误号 2
dpkg:处理 tar_1.20-1_i386.deb (--install)时出错:
子进程 dpkg-deb --control 返回了错误号 2
在处理时有错误发生:
tar_1.20-1_i386.deb
麻烦你给看一下,我刚开始想要安装cadence,而他要求安装1.13版本的tar,所以要把ar的版本降低,我当时就把tar1.20的卸载了。

出现这提示就说明你没有按照我说的做。你看看/bin下有没有tar这个文件,如果没有就是没照我说的做...如果有这个文件,不可能出现现在的问题...


_________________
I will always return.


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 19:38 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
:em04 :em04


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 22:24 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
happyaron 写道:
forverm 写道:
谢谢你给我解决问题 ,但是我按照你说的操作后出现下列提示:
forverm@forverm-laptop:~$ sudo dpkg --force-all -i tar_1.20-1_i386.deb
dpkg-deb (子进程):exec tar 失败: 没有该文件或目录
dpkg-deb: 子进程 tar 返回了错误号 2
dpkg:处理 tar_1.20-1_i386.deb (--install)时出错:
子进程 dpkg-deb --control 返回了错误号 2
在处理时有错误发生:
tar_1.20-1_i386.deb
麻烦你给看一下,我刚开始想要安装cadence,而他要求安装1.13版本的tar,所以要把ar的版本降低,我当时就把tar1.20的卸载了。

出现这提示就说明你没有按照我说的做。你看看/bin下有没有tar这个文件,如果没有就是没照我说的做...如果有这个文件,不可能出现现在的问题...

:em11 :em11 :em11 本人菜鸟,没有安装经验,按照你的方法,我已经把tar安装起了,不知道你有没有安装过cadence,你能不能给我一个解决tar版本降低的方案?谢谢!


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-03 22:42 

注册: 2008-04-27 1:10
帖子: 473
地址: http://blogs.gnome.org/happyaron/
送出感谢: 0 次
接收感谢: 2
找个低版本的tar的deb包,然后sudo dpkg -i xxx.deb就降级安装了。


_________________
I will always return.


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-04 10:43 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
happyaron 写道:
找个低版本的tar的deb包,然后sudo dpkg -i xxx.deb就降级安装了。

谢谢你哦,现在我已经吧tar的版本降低了。我的QQ号840020785,希望你能加一下


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 请大家帮帮忙 ,我把tar卸载了现在出问题了,大家帮下忙
帖子发表于 : 2009-11-04 10:45 

注册: 2009-10-09 15:39
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
happyaron 写道:
找个低版本的tar的deb包,然后sudo dpkg -i xxx.deb就降级安装了。

谢谢你的帮助,我现在已经把tar的版本降低了。能留个qq吗,以后多交流。我的qq:343374320。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 19 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译